import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Lucky 7 
 * @author Hum 6 ===> Kanchan, Lalita, Meena, Monica D, Monica S, Mukesh
 * @version 1.0.M
 */
public class Card extends Actor
{
    private static GreenfootImage backImage;
    private GreenfootImage frontImage;
    private int x;
    private int y;
    private int Value;
    private boolean otherSide;
    
    //Constructor
    public Card()
    {
       x=130;
       y=150;
    }
    
    //To display the Card on x1,y1 location on screen
    public Card(int v,int x1,int y1)
    {
        Value=v;
        x=x1;
        y=y1;
        otherSide=false;
        backImage=new GreenfootImage("FrontCardPic.png");
        frontImage=new GreenfootImage(v+".png");
        setImage(backImage);
    }
    
    //To capture the mouse button 
    public void act() 
    {
       if (Greenfoot.mouseClicked(this))
          this.OtherSide();
    }    
    
    //To show frontside or backside of the card
    public void OtherSide()
    {
      if (!otherSide)
      {
        setImage(frontImage);
        otherSide=true;
        Lucky7 lucky7=(Lucky7) getWorld();
        lucky7.CardOutcome(this);
      }
      else
      {
        setImage(backImage);
        otherSide=false;
      }
    }
    
    //This function returns the Value of the Card
    public int getValue()
    {
       return Value;   
    }
}
