import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * A world of Cards and Luck
 * 
 * @author Hum 6 ===> Kanchan, Lalita, Meena, Monica D, Monica S, Mukesh 
 */
public class Lucky7 extends World 
{
    //Variable Initialization
    private Card Selected=null;
    private static int Sum7=0;
    GreenfootImage headerImage,endImage;
    //Constructor
    public Lucky7()
    {    
        super(1024, 600, 1);
        Initialize();
    }
    // Inititlaizes the Main Screen (Desktop)
    public void Initialize()
    {
        Card Header=new Card();
        addObject(Header,507,60);
        headerImage=new GreenfootImage("Lucky7.png");
        Header.setImage(headerImage);  
        
        int x=130,y=250;
        for (int i=1;i<=5;i++)
        {
            int NewNum=Greenfoot.getRandomNumber(5)+1;
            Card card=new Card(NewNum,x,y);
            addObject(card,x+190*(i-1),y);
        }
    }
    /**
     * Checks the Outcome of Mouse Click
    */
    public void CardOutcome(Card card)
    {
        if (Selected==null)
        {
            Selected=card;
            Greenfoot.playSound("pop.wav");
        }
        else
        {
            Sum7=card.getValue()+Selected.getValue();
            Greenfoot.playSound("pop.wav");
            Greenfoot.delay(100);
            GreenfootImage endGame;
            switch (Sum7)
            {
             case 2: endGame=new GreenfootImage("two.png");break;
             case 3: endGame=new GreenfootImage("three.png");break;
             case 4: endGame=new GreenfootImage("four.png");break;
             case 5: endGame=new GreenfootImage("five.png");break;
             case 6: endGame=new GreenfootImage("six.png");break;
             case 7: endGame=new GreenfootImage("seven.png");break;
             case 8: endGame=new GreenfootImage("eight.png");break;
             case 9: endGame=new GreenfootImage("nine.png");break;
             case 10:endGame=new GreenfootImage("ten.png");break;
             default:endGame=new GreenfootImage("ten.png");break;
            }
            
            Card cardwl=new Card();
            addObject(cardwl,310,500);
            cardwl.setImage(endGame);
            gameOver();
        }
    }
    //Ends the game
    public void gameOver() 
    {
        Card Ender=new Card();
        addObject(Ender,807,550);
        endImage=new GreenfootImage("endgame.png");
        Ender.setImage(endImage);
        Greenfoot.playSound("splash.wav");
        Greenfoot.stop();
    }
}
